<?php
namespace Fifa\ConnectId\Sdk\Model;

use LibXMLError;

/**
 * Class XmlValidationError
 * @package Fifa\ConnectId\Sdk\Model
 */
class XmlValidationError
{
    /**
     * @var LibXMLError
     */
    private $libXmlError;

    /**
     * @var string
     */
    private $message;

    /**
     * XmlValidationError constructor.
     * @param LibXMLError $libXmlError
     */
    public function __construct(LibXMLError $libXmlError)
    {
        $this->libXmlError = $libXmlError;
        $this->message = $this->libXmlError->message;
    }

    /**
     * @return string
     */
    public function __toString()
    {
        return sprintf('Message: %s', $this->message);
    }

    /**
     * @return string
     */
    public function getMessage(): string
    {
        return $this->message;
    }
}